# Uses of Enum
org.eclipse.birt.chart.model.attribute.TickStyle

Packages that use TickStyle
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of TickStyle in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type TickStyle
Modifier and Type
Field
Description
`static final List<TickStyle>`
TickStyle.`VALUES`
A public read-only list of all the 'Tick Style' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return TickStyle
Modifier and Type
Method
Description
`static TickStyle`
TickStyle.`get(int value)`
Returns the 'Tick Style' literal with the specified integer value.
`static TickStyle`
TickStyle.`get(String literal)`
Returns the 'Tick Style' literal with the specified literal value.
`static TickStyle`
TickStyle.`getByName(String name)`
Returns the 'Tick Style' literal with the specified name.
`static TickStyle`
TickStyle.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TickStyle[]`
TickStyle.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of TickStyle in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return TickStyle
Modifier and Type
Method
Description
`TickStyle`
AttributeFactoryImpl.`createTickStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`TickStyle`
AttributeFactoryImpl.`createTickStyleObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of TickStyle in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return TickStyle
Modifier and Type
Method
Description
`TickStyle`
Grid.`getTickStyle()`
Returns the value of the 'Tick Style' attribute.
Methods in org.eclipse.birt.chart.model.component with parameters of type TickStyle
Modifier and Type
Method
Description
`void`
Grid.`setTickStyle(TickStyle value)`
Sets the value of the '`Tick Style`' attribute.

## Uses of TickStyle in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return TickStyle
Modifier and Type
Method
Description
`TickStyle`
GridImpl.`getTickStyle()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type TickStyle
Modifier and Type
Method
Description
`static Grid`
GridImpl.`create(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)`
`static Grid`
GridImpl.`createDefault(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)`
`void`
GridImpl.`setTickStyle(TickStyle newTickStyle)`